%define pkg_name        GDTextUtil
%define pkg_version     0.86
%define rpm_pkg_version 0.86
%define rpm_pkg_release 1.n0i.5

Summary:       Text utilities for use with GD
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MV/MVERB/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      fontconfig
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(GD)}
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
The GDTextUtil package contains text utilities for use with the GD
drawing package. 

This package provides three modules that make it possible to work with
internal GD fonts as well as TrueType fonts, without having to worry
about different interface functions to call. Apart from an abstract
interface to all font types and strings for GD, this library also
provides some utility in aligning and wrapping your string.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_eol}
%{fix_perl_path demo/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}

# Install the TrueType font
%global fontdir %{_datadir}/fonts/perl
%{__install} -d $RPM_BUILD_ROOT%{fontdir}
%{__install} -p -m 644 Dustismo_Sans.ttf $RPM_BUILD_ROOT%{fontdir}/
touch $RPM_BUILD_ROOT%{fontdir}/fonts.cache-1


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
fc-cache -f %{fontdir} || :


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README Dustismo.LICENSE demo/
%{fontdir}/
%ghost %{fontdir}/fonts.cache-1

%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.86-1.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.86-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.86-1.n0i.3
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:0.86-1.n0i.2
- automatic rebuild (perl 5.8.6)
- no dependencies are to be computed based on files in %%docdir

* Sun Aug 15 2004 Marius Feraru <altblue@n0i.net> 0:0.86-1.n0i.1
- version 0.86
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
